Bug 731460 - openais crashes with combo of lossy network and config changes
Summary: openais crashes with combo of lossy network and config changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais
Version: 5.8
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 729081
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 17:53 UTC by RHEL Product and Program Management
Modified: 2011-12-13 15:15 UTC (History)
9 users (show)

Fixed In Version: openais-0.80.6-30.el5_7.2
Doc Type: Bug Fix
Doc Text:
Previously, when OpenAIS was used in a lossy network, and a large number of configuration changes occurred, OpenAIS sometimes terminated unexpectedly. To solve this problem, the underlying source code has been modified, and OpenAIS no longer crashes in the scenario described.
Clone Of:
Environment:
Last Closed: 2011-11-07 07:20:37 UTC


Attachments (Terms of Use)
5.7.z-revision-2178 (470 bytes, patch)
2011-10-03 12:30 UTC, Jan Friesse
no flags Details | Diff
5.7.z-revision-2183 (1.26 KB, patch)
2011-10-03 12:31 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1428 normal SHIPPED_LIVE openais bug fix update 2011-11-07 12:20:23 UTC

Description RHEL Product and Program Management 2011-08-17 17:53:23 UTC
This bug has been copied from bug #729081 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 4 Jan Friesse 2011-09-20 11:57:55 UTC
Waiting for resolving of https://bugzilla.redhat.com/show_bug.cgi?id=722522

Comment 5 Jan Friesse 2011-10-03 12:30:37 UTC
Created attachment 526048 [details]
5.7.z-revision-2178

Comment 6 Jan Friesse 2011-10-03 12:31:01 UTC
Created attachment 526052 [details]
5.7.z-revision-2183

Comment 9 Miroslav Svoboda 2011-11-03 18:03:06 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, when OpenAIS was used in a lossy network, and a large number of configuration changes occurred, OpenAIS sometimes terminated unexpectedly. To solve this problem, the underlying source code has been modified, and OpenAIS no longer crashes in the scenario described.

Comment 10 errata-xmlrpc 2011-11-07 07:20:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1428.html


Note You need to log in before you can comment on or make changes to this bug.